Package org.jboss.logging.annotations

# Annotation Type ValidIdRange

@Target(TYPE) @Retention(CLASS) @Documented public @interface ValidIdRange
Sets a range of valid id's allowed on the `message id`. Both `Message.INHERIT` and `Message.NONE` are ignored when validating.

Note: Message id's from inherited interfaces are not validated within the range provided. Super interfaces would need their own annotation for range validation.

`

              @MessageLogger(projectCode = "EXAMPLE")
              @ValidIdRange(min = 100, max = 200)
              public interface ExampleLogger {

                  @LogMessage
                  @Message(id = 100, value = "Example message")
                  void example();
              }

`

Author:
  James R. Perkins

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`int`
`max`
The maximum id allowed in the `message id`.
`int`
`min`
The minimum id allowed in the `message id`.

## Element Details

### min

int min
The minimum id allowed in the `message id`. Both `Message.INHERIT` and `Message.NONE` are ignored when validating.

Returns:
  the minimum id allowed

Default:
  1

### max

int max
The maximum id allowed in the `message id`. Both `Message.INHERIT` and `Message.NONE` are ignored when validating.

Returns:
  the maximum id allowed

Default:
  999999